// Documentation: https://deeppresentation.com/advanced-integration-with-hooks





jQuery(document).ready(($) => {
	if (window.DpitHooks) {

		[
			'started',
			'onLayersInit',
			'onBeforeEnd',
			'ended',
			'beforeStepChange',
			'afterStepChange',
			'onButtonHover',
			'onResize',
			'onBeforeRedirect',
			'onMobileMenuClose',
			'onMobileMenuOpen',
			'onOverlayClick'
		];

		DpitHooks.add_action('afterStepChange', (args) => {
			// enter your code
			/* eg: 
			if (args.currentStepObj.index === 1) {
				DpitApi.goToNext();
			}
			else if (args.currentStepObj.index === 3) {
				DpitApi.goToStep(7);
			}
			else if (args.currentStepObj.index === 5) {
				DpitApi.goToPrev();
			}
			else if (args.currentStepObj.index === 7) {
				DpitApi.exit();
			}
			*/
		});
		DpitHooks.add_action('beforeStepChange', (args) => {
			// enter your code
			/* eg: 
			if (
				args.tourId === 2844 //Change to ID of tour of your interest (tour id you can find in admin configuration of tour)
				&& args.currentStepObj.index === 3 // Change to step index (starting from 1) of your interest (run a js action - code for a specific tour before it switches to a specific step)
			) {
				// your js code
			}
			*/
		});
	}
});